#
# UploadReferenceWidget
# Copyright(C), 2007, Enfold Systems, Inc. - ALL RIGHTS RESERVED
#
# This software is licensed under the Terms and Conditions
# contained within the "LICENSE.txt" file that accompanied
# this software.  Any inquiries concerning the scope or
# enforceability of the license should be addressed to:
#
# Enfold Systems, Inc.
# 4617 Montrose Blvd., Suite C215
# Houston, Texas 77006 USA
# p. +1 713.942.2377 | f. +1 832.201.8856
# www.enfoldsystems.com
# info@enfoldsystems.com
#

from StringIO import StringIO
from Products.Archetypes.public import listTypes
from Products.Archetypes.Extensions.utils import installTypes
from Products.Archetypes.Extensions.utils import install_subskin
from Products.UploadReferenceWidget import config

def install(self):
    out = StringIO()
    install_subskin(self, out, config.GLOBALS)
    out.write('[portal_skins] Added UploadReferenceWidget skin layer.\n')

    if config.DEMO:
        types = listTypes(config.PROJECTNAME)
        installTypes(self, out, types, config.PROJECTNAME)
        out.write('[portal_types] Added UploadReferenceWidgetDemo type.\n')

    out.write('Successfully installed %s.' % config.PROJECTNAME)
    return out.getvalue()
